#
# spec file for package scons (Version 0.98.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl-3 libmpfr1 libmudflap43 libncurses5 libopenssl0_9_8 libreadline5 libsqlite3-0 libstdc++43 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt psmisc python python-devel rpm sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           scons
BuildRequires:  python-devel
Summary:        Replacement for Make
Version:        0.98.3
Release:        9.1
Source0:        %{name}-%{version}.tar.bz2
Source1:        scons-user.html
Patch0:         %{name}-%{version}-fix-install.patch
Patch1:         %{name}-%{version}-noenv.patch
License:        X11/MIT
Group:          Development/Tools/Building
Url:            http://www.scons.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
SCons is a make replacement that provides a range of enhanced features,
such as automated dependency generation and built-in compilation cache
support. SCons rule sets are Python scripts, which means that SCons
provides itself as well as the features. SCons allows you to use the
full power of Python to control compilation.



Authors:
--------
    Steven Knight <knight@baldmt.com>
    Chad Austin
    Charles Crain
    Steve Leblanc
    Gary Oberbrunner
    Anthony Roach
    Greg Spencer
    Christoph Wiedemann

%debug_package
%prep
%setup -q
%patch0
%patch1
# fix libdir for qt
patch -p0 <<EOF
--- engine/SCons/Tool/qt.py
+++ engine/SCons/Tool/qt.py
@@ -252,1 +252,1 @@
-                   QT_LIBPATH = os.path.join('\$QTDIR', 'lib'),
+                   QT_LIBPATH = os.path.join('\$QTDIR', '%_lib'),
EOF
# copy user guide
cp %{SOURCE1} .

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --install-lib=%{py_sitedir} --record-rpm=INSTALLED_FILES
# fix duplicates in bindir
ln -sf scons $RPM_BUILD_ROOT%{_bindir}/scons-%{version}
ln -sf scons-time $RPM_BUILD_ROOT%{_bindir}/scons-time-%{version}
ln -sf sconsign $RPM_BUILD_ROOT%{_bindir}/sconsign-%{version}
# fix manpages
sed -i -e 's,\.1$,.1.gz,' INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt RELEASE.txt scons-user.html

%changelog
* Wed Apr 30 2008 prusnak@suse.cz
- updated to 0.98.3
  * fix use of $CXXFLAGS when building C++ shared object files
  * fix a regression when a Builder's source_scanner doesn't select
  a more specific scanner for the suffix of a specified source file
  * fix the Options object backwards compatibility so people can still
  "import SCons.Options.{Bool,Enum,List,Package,Path}Option" submodules
  * fix searching for implicit dependencies when an Entry Node shows up
  in the search path list
  * fix expansion of $FORTRANMODDIR in the default Fortran command line(s)
  when it's set to something like ${TARGET.dir}
* Tue Apr 22 2008 prusnak@suse.cz
- updated to 0.98.2
  * changes too numerous to list - see CHANGES.txt
* Mon Nov 12 2007 prusnak@suse.cz
- replaced /usr/bin/env in shebang by /usr/bin/python (noenv.patch)
- replaces duplicities in bindir by symlinks
* Wed May 30 2007 ltinkl@suse.cz
- update to stable release 0.97
- fix man installation patch
* Wed Mar 08 2006 ltinkl@suse.cz
- add more documentation (#154045)
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 24 2005 sbrabec@suse.cz
- Bi-arch hack.
* Thu Nov 03 2005 dmueller@suse.de
- update to 0.96.91
* Tue Aug 24 2004 mcihar@suse.cz
- install man pages
* Tue Aug 24 2004 mcihar@suse.cz
- initial packaging
